Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
05030 DIP/Input Minor Always Oct 8, 2012, 16:08 Oct 24, 2012, 19:41
Tester Robert Gault View Status Public Platform MESS (Official Binary)
Assigned To sronco Resolution Fixed OS Windows XP
Status [?] Resolved Driver coco3.cpp
Version 0.147u1 Fixed in Version 0.147u2 Build Normal
Summary MESS-specific 05030: coco3: Hi-Res joystick does not work for Tandy or CocoMax
Description Any hi-res joystick action has been dead since about 0.143.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems coco3
Attached Files
zip file icon JOYSTICK.zip (4,549 bytes) Oct 15, 2012, 00:35 Uploaded by Robert Gault
Relationships
There are no relationship linked to this issue.
Notes
5
User avatar
No.09005
Tafoid
Administrator
Oct 9, 2012, 03:09
How would I go about confirming this.. how do I know it's not working? Does it crash the emulation or does it simply not function? Are you using the -mouse command to active? If you have a test program to detail it's function for comparison, please attach.
User avatar
No.09008
NekoEd
Senior Tester
Oct 9, 2012, 20:17
This is acknowledged, pending further necessary information.
User avatar
No.09025
Robert Gault
Tester
Oct 14, 2012, 14:55
I'd be happy to send a .dsk image with necessary programs to anyone wanting to work on the problem. I can't upload the .dsk image here because there is a limit of 16K on uploads.

MESS does not crash. The hi-res routines just don't function.
User avatar
No.09026
Robert Gault
Tester
Oct 15, 2012, 00:39
edited on: Oct 15, 2012, 04:42
Hmmm, I mis-read the max file size. A test disk has been uploaded.
On a coco3 or 3h enter either of the following:
RUN"JOYCC3"
RUN"JOYCC2"
On a coco2 or 2b enter
RUN"JOYCC2"

You can then select within the program the type of joystick to be used. Be sure to then configure MESS for the same type of joystick.

Don't pay attention to the fact that the CocoMax routine does not result in full screen motion. That can be checked once the main problem is fixed.
User avatar
No.09027
Robert Gault
Tester
Oct 18, 2012, 02:40
An added note on this bug. On earlier versions such as 0.142, only the right hi-res Tandy or CocoMax joysticks work. The left settings are dead.
Since the Tandy code for reading the DAC is the same for both right and left sticks, and only the values sent to $FF01 and $FF03 to change the MUX line are different, that is a slightly different bug from the main one.

I should also state that joystick and hi-res selections are not functions of coco3 vs coco2 emulation. These functions should be active for all coco emulation.